Companies

List Company Notes

Retrieve a paginated list of notes for a specific company. Returns note data including content, creation timestamps, and associated user information. Results are filtered by the organization associated with the API key.

GET
/v1/companies/{companyId}/notes

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication for API access.

In: header

Path Parameters

companyId*string

The unique identifier of the company

Query Parameters

page?integer

Page number for pagination

Default1
Range1 <= value
limit?integer

Number of items per page (max 100)

Default50
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.sophiie.ai/v1/companies/cmp_abc123/notes"
{
  "notes": [
    {
      "id": 123,
      "value": "Follow up with property manager about maintenance schedule",
      "companyId": "cmp_abc123",
      "userId": "usr_abc123",
      "createdAt": "2023-01-01T00:00:00.000Z",
      "updatedAt": "2023-01-01T00:00:00.000Z"
    }
  ],
  "totalPages": 3,
  "currentPage": 1,
  "totalCount": 15
}
{
  "success": false,
  "message": "Invalid or expired token",
  "error": {
    "status": 401,
    "message": "Invalid or expired token"
  }
}
{
  "success": false,
  "message": "Not found",
  "error": {
    "status": 404,
    "message": "Not found"
  }
}
{
  "success": false,
  "message": "Internal server error",
  "error": {
    "status": 500,
    "message": "Internal server error"
  }
}